Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class SendEmail

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.email.EmailTask
                        |
                        +--org.apache.tools.ant.taskdefs.SendEmail

public class SendEmail
extends EmailTask

A task to send SMTP email. This task can send mail using either plain text, UU encoding or Mime format mail depending on what is available. Attachments may be sent using nested FileSet elements.

Since:
  Ant 1.2

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`EmailTask.Encoding`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`AUTO, MIME, PLAIN, UU`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SendEmail()`

Method Summary
`void` | `setMailport(java.lang.Integer value)` Deprecated. Use `EmailTask.setMailport(int)` instead.

Methods inherited from class org.apache.tools.ant.taskdefs.email.EmailTask
`addBcc, addCc, addFileset, addFrom, addMessage, addReplyTo, addTo, execute, getCharset, getIncludeFileNames, setBccList, setCcList, setCharset, setEncoding, setFailOnError, setFiles, setFrom, setIncludefilenames, setMailhost, setMailport, setMessage, setMessageFile, setMessageMimeType, setPassword, setReplyTo, setSSL, setSubject, setToList, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendEmail

    public SendEmail()

Method Detail

### setMailport

    public void setMailport(java.lang.Integer value)

  Deprecated. Use `EmailTask.setMailport(int)` instead.

  Sets the mailport parameter of this build task.

  Parameters:
    `value` - mail port name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.